Commit 3686e55d authored by Wojciech Tyczynski's avatar Wojciech Tyczynski

Remove cmd/integration test

parent 37edcc82
......@@ -226,8 +226,7 @@ hack/test-integration.sh # Run all integration tests.
```
This script runs the golang tests in package
[`test/integration`](../../test/integration/)
and a special watch cache test in `cmd/integration/integration.go`.
[`test/integration`](../../test/integration/).
### Run a specific integration test
......
......@@ -109,7 +109,6 @@ readonly KUBE_CLIENT_BINARIES_WIN=("${KUBE_CLIENT_BINARIES[@]/%/.exe}")
# The set of test targets that we are building for all platforms
kube::golang::test_targets() {
local targets=(
cmd/integration
cmd/gendocs
cmd/genkubedocs
cmd/genman
......
......@@ -14,10 +14,6 @@
# See the License for the specific language governing permissions and
# limitations under the License.
# any command line arguments will be passed to hack/build_go.sh to build the
# cmd/integration binary. --use_go_build is a legitimate argument, as are
# any other build time arguments.
set -o errexit
set -o nounset
set -o pipefail
......@@ -60,14 +56,6 @@ runTests() {
KUBE_TEST_API_VERSIONS="$1" \
"${KUBE_ROOT}/hack/test-go.sh" test/integration
# Run the watch cache tests
# KUBE_TEST_ARGS doesn't mean anything to the watch cache test.
if [[ -z "${KUBE_TEST_ARGS}" ]]; then
kube::log::status "Running integration test scenario with watch cache on"
KUBE_TEST_API_VERSIONS="$1" "${KUBE_OUTPUT_HOSTBIN}/integration" --v=${LOG_LEVEL} \
--max-concurrency="${KUBE_INTEGRATION_TEST_MAX_CONCURRENCY}" --watch-cache=true
fi
cleanup
}
......@@ -81,8 +69,6 @@ checkEtcdOnPath() {
checkEtcdOnPath
"${KUBE_ROOT}/hack/build-go.sh" "$@" cmd/integration
# Run cleanup to stop etcd on interrupt or other kill signal.
trap cleanup EXIT
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment